
function Component()
{
    gui.pageWidgetByObjectName("LicenseAgreementPage").entered.connect(changeLicenseLabels);
    
}

Component.prototype.createOperations = function()
{
    component.createOperations();

    if (systemInfo.productType === "windows") {
        component.addOperation("CreateShortcut", "@TargetDir@/hashsum-2.5.1.exe", "@StartMenuDir@/hashsum-2.5.1.lnk",
            "workingDirectory=@TargetDir@", "iconPath=@TargetDir@/hashsum.ico");
			
			
		component.addOperation("CreateShortcut", "@TargetDir@/hashsum-2.5.1.exe", "@DesktopDir@/hashsum-2.5.1.lnk",
            "workingDirectory=@TargetDir@", "iconPath=@TargetDir@/hashsum.ico");
    }
    
         if (installer.value("os") === "x11") {
        
        component.addOperation("Copy", "@TargetDir@/hashSum.desktop", "/usr/share/applications/hashSum.desktop");

    
    }
}

changeLicenseLabels = function()
{
    page = gui.pageWidgetByObjectName("LicenseAgreementPage");
    page.AcceptLicenseLabel.setText("<font size=4>Yes I do!</font>");
    page.RejectLicenseLabel.setText("<font size=4>No I don't!</font>");
}
